lxqt-sudo (2.2.0-1~exp1) experimental; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * d/upstream: Fix broken signing-key.asc

  [ Macy Lin ]
  * New upstream version 2.2.0
  * debian/copyright: update.
  * debian/control: build-deps on liblxqt-dev (>= 2.2.0~).
  * debian/control: build-deps on lxqt-build-tools (>= 2.2.0~).
  * debian/control: bump to Standards-version to 4.7.2.

 -- Macy Lin <macy@debconf.org>  Fri, 08 Aug 2025 11:06:03 +0200

lxqt-sudo (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0
  * build-deps on liblxqt-dev (>= 2.1.0~).

 -- Macy Lin <macy@debconf.org>  Fri, 06 Dec 2024 15:13:53 +0100

lxqt-sudo (2.0.0-1) unstable; urgency=medium

  * Migrate to unstable.
  * Run wrap-and-sort.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 28 Nov 2024 21:33:14 +0100

lxqt-sudo (2.0.0-1~exp1) experimental; urgency=medium

  [ Andrew Lee (李健秋) ]
  * New upstream version 2.0.0

  [ Severus Septimius ]
  * debian/control: bump dep qttranslations5-l10n -> qt6-translations-l10n
  * debian/control: remove dep on libqt5x11extras5-dev
  * debian/control: bump dep on qttools5-dev -> qt6-tools-dev
  * debian/control: bump dep on liblxqt1-dev -> liblxqt-dev
  * debian/control: bump dep on libkf5windowsystem-dev ->
    libkf6windowsystem-dev

  [ Andrew Lee (李健秋) ]
  * Removing whitespaces at EOL and EOF.
  * debian/copyright: update.
  * debian/salsa-ci.yml: build against to experimental.
  * debian/control: recommends on lxqt-qtplugin (>= 2.0.0~).
  * debian/control: build-deps on libglib2.0-dev.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 01 Oct 2024 14:34:31 +0200

lxqt-sudo (1.4.0-2) unstable; urgency=medium

  [ Macy Lin ]
  * debian/control: build-deps on qttools5-dev. (Closes:#1078303)
  * debian/control: bump to Standards-version to 4.7.0, no changes needed.
  * debian/copyright: added myself.

  [ Andrew Lee (李健秋) ]
  * Clean up of group membership after 2nd calls.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 11 Sep 2024 07:43:37 +0200

lxqt-sudo (1.4.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * Suppress blhc error
  * Fix Vcs-Browser
  * update changelog

  [ Andrew Lee (李健秋) ]
  * New upstream version 1.4.0
  * debian/control: build-deps on liblxqt1-dev (>= 1.4.0~).

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 12 Dec 2023 11:38:44 +0100

lxqt-sudo (1.3.0-2) unstable; urgency=medium

  * Fix Vcs-Browser.
  * Suppress blhc error.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 13 Sep 2023 00:30:38 +0800

lxqt-sudo (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * debian/control: update team address.
  * debian/control: bump to Standards-version to 4.6.2, no changes needed.
  * debian/control: build-deps on liblxqt1-dev (>= 1.3.0~).
  * debian/rules: Drop --fail-missing argument to dh_missing which is now
    default in debhelper 13.
  * debian/lxqt-sudo.install: ship lxdoas and it's manpage.
  * debian/control: clean up build-deps.
  * debian/copyright: update.
  * debian/upstream/metadata: drop obsolete field Name.
  * debian/upstream/metadata: update url for git repo.
  * debian/upstream/metadata: add Repository-Browse field.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 02 Jul 2023 09:06:15 +0200

lxqt-sudo (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Sort Depends in d/control.
  * Sort d/copyright.
  * Update d/watch for GitHub.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 17 Dec 2022 23:58:51 +0800

lxqt-sudo (1.1.0-2) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 19 Nov 2022 09:32:56 +0800

lxqt-sudo (1.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed trailing whitespace from changelog.
  * Ran wrap-and-sort.
  * Upstreamed packaging changes from Ubuntu, modifying the following files:
    - control
    - copyright
    - rules
    - upstream/*

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Wed, 13 Jul 2022 19:57:33 -0500

lxqt-sudo (1.0.0-1) unstable; urgency=medium

  * New upstream release
  * Bumped Standards-Version to 4.6.0, no changes needed
  * Update debian/copyright

 -- S. 7 <severusseptimius7@gmail.com>  Thu, 25 Nov 2021 18:19:55 +0200

lxqt-sudo (0.16.0-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Switched to gbp
  * Bumped Standards-Version to 4.4.0, no changes needed

  [ Andrew Lee (李健秋) ]
  * New upstream release. (Closes: #978214)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 06 Jan 2021 18:17:56 +0800

lxqt-sudo (0.14.1-2) unstable; urgency=medium

  * Set HOME right, don't strip TERM (Closes: #928941)

 -- Alf Gaida <agaida@siduction.org>  Mon, 13 May 2019 19:56:39 +0200

lxqt-sudo (0.14.1-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.14.1.
  * Bumped minimum version liblxqt0-dev (>= 0.14.1~)
  * Extended package description a bit

 -- Alf Gaida <agaida@siduction.org>  Sun, 24 Feb 2019 22:25:49 +0100

lxqt-sudo (0.14.0-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.14.0.
  * Bumped Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Bumped minimum version liblxqt0-dev (>= 0.14.0~)
  * Removed obsolete PULL_TRANSLATIONS= OFF from dh_auto_configure
  * Added l10n-package, moved from lxqt-l10n
  * Added d/upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 19:32:15 +0100

lxqt-sudo (0.13.0-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.13.0.
  * Bumped build dependency liblxqt0-dev to >= 0.13.0~
  * Bumped year in copyright

 -- Alf Gaida <agaida@siduction.org>  Fri, 25 May 2018 00:02:41 +0200

lxqt-sudo (0.12.0-4) unstable; urgency=medium

  * Bumped compat to 11
  * Bumped debhelper to >= 11~
  * Bumped Standards to 4.1.4, no changes needed
  * Changed VCS fields for salsa
  * Changed Homepage, Source and watch to lxqt
  * Bumped years in copyright
  * Removed trailing whitespaces from changelog

 -- Alf Gaida <agaida@siduction.org>  Sat, 28 Apr 2018 16:40:26 +0200

lxqt-sudo (0.12.0-3) unstable; urgency=medium

  * Bumped Standards to 4.1.2
  * Removed branch from VCS fields
  * Removed debian/gbp.conf

 -- Alf Gaida <agaida@siduction.org>  Thu, 14 Dec 2017 23:17:19 +0100

lxqt-sudo (0.12.0-2) unstable; urgency=medium

  * Transition to unstable

 -- Alf Gaida <agaida@siduction.org>  Tue, 05 Dec 2017 01:26:56 +0100

lxqt-sudo (0.12.0-1) experimental; urgency=medium

  * Cherry-picking upstream release 0.12.0.
  * Bumped Standards to 4.1.1 - no changes needed
  * Bumped liblxqt dependency to >= 0.12.0

 -- Alf Gaida <agaida@siduction.org>  Tue, 24 Oct 2017 21:33:45 +0200

lxqt-sudo (0.11.1-2) unstable; urgency=medium

  * Bumped Standards to 4.0.0 - no changes needed
  * Added lxqt-qtplugin to Recommends. (Closes: #866345)

 -- Alf Gaida <agaida@siduction.org>  Sun, 02 Jul 2017 16:17:20 +0200

lxqt-sudo (0.11.1-1) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.1.
  * Removed some build dependencies:
    - cmake
    - libqt5xdg-dev
    - libqt5xdgiconloader-dev
    - libx11-dev
    - pkg-config
    - qttools5-dev
    - qttools5-dev-tools
  * Bumped build dependency liblxqt0-dev (>= 0.11.1)
  * Bumped years in d/copyright
  * Fixed d/gbp.conf

 -- Alf Gaida <agaida@siduction.org>  Mon, 02 Jan 2017 16:54:12 +0100

lxqt-sudo (0.11.0-2) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.0
  * Synced debian foo with experimental
  * Bumped Standards to 3.9.8, no changes needed
  * Bumped compat to 10
  * Removed --parallel from rules, standard in compat 10
  * Bumped minimum version debhelper (>= 10)
  * Bumped minimum version liblxqt-dev (>= 0.11.0)
  * Bumped minimum version libqtxdg-dev (>= 2.0.0)
  * Added build dependency libqt5svg5-dev
  * Added build dependency libqt5xdgiconloader-dev
  * Added Recommends lxqt-sudo-l10n
  * Added README.md to docs
  * Fixed VCS fields, using https and plain /git/
  * Fixed copyrights Format field to https
  * Bumped years in copyrights
  * Added translation control to rules
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo
  * Exported LC_ALL=C.UTF-8, make builds reproducible

 -- Alf Gaida <agaida@siduction.org>  Tue, 18 Oct 2016 19:54:08 +0200

lxqt-sudo (0.10.0-3) unstable; urgency=medium

  * Remove dbg package in favor of dbgsym.

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Dec 2015 00:00:04 +0100

lxqt-sudo (0.10.0-2) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 15 Nov 2015 20:58:46 +0800

lxqt-sudo (0.10.0-1) experimental; urgency=medium

  * Cherry-picking upstream version 0.10.0.
  * Set minimum version for liblxqt.

 -- Alf Gaida <agaida@siduction.org>  Tue, 03 Nov 2015 02:29:04 +0100

lxqt-sudo (0.9.0+20151029-1) experimental; urgency=medium

  * Cherry-picked upstream version 0.9.0+20151024.
  * set new minimum versions for liblxqt and libqxtg

 -- Alf Gaida <agaida@siduction.org>  Sat, 31 Oct 2015 11:26:51 +0100

lxqt-sudo (0.9.0+20150908-2) experimental; urgency=medium

  * Added minimum version for liblxqt0-dev (>= 0.9.0+20150911)

 -- Alf Gaida <agaida@siduction.org>  Wed, 07 Oct 2015 17:33:24 +0200

lxqt-sudo (0.9.0+20150908-1) experimental; urgency=medium

  [ Alf Gaida ]
  * Cherry-picked upstream version 0.9.0+20150908.
  * Fixed .gitignore
  * Added upstream signing key and use it in watch file
  * Added docs
  * Fixed control with cme fix dpkg-control
  * Switched to experimental because of LXQt namespace change

  [ ChangZhuo Chen (陳昌倬) ]
  * Initial release (Closes:#795801)

 -- Alf Gaida <agaida@siduction.org>  Wed, 23 Sep 2015 00:06:05 +0200
